<!--
	Manuel de la Fuente
	1o de DAM, es[tech]
-->

<!doctype html>
<html lang="es">


<head>
	<meta charset="UTF-8">
	<style> :root { font-family: 'Segoe UI', sans-serif; } </style>
	<title>Examen JS 1</title>
</head>


<body>
	<h1>Ejercicio 2, Examen JS</h1>
	<h4>Manuel de la Fuente</h4>
	<hr>
	<h4>Output en console.log</h4>

	<script>
		var arr = ["Hospamla!", "prueba spam", "a spam escribir algo aqui", "para limpiarlo"];
		
		let sort_arr = arr => arr.sort( (a, b) => a.length < b.length );
		let remove_spam = arr => {

			for (let i = 0; i < arr.length; i++) {
				arr[i] = arr[i].replaceAll('spam', '');
			}
			/** Lo he intentado hacer también con arr.forEach pero no modifica los strings */
			// arr.forEach(string => {
			// 	string = string.replaceAll('spam', '');
			// });
			
			return arr;
		}

		console.log(remove_spam(sort_arr(arr)));
		// Output -> Array(4) [ "a  escribir algo aqui", "para limpiarlo", "prueba ", "Hola!" ]

	</script>
</body>


</html>